<?php

namespace Drupal\jsonapi_include;

use Symfony\Component\HttpFoundation\Response;

/**
 * The interface for parsing the JSON:API Response.
 *
 * @package Drupal\jsonapi_include
 */
interface JsonapiParseInterface {

  /**
   * Parses the JSON:API Response with integrating includes inside the fields.
   *
   * @param \Symfony\Component\HttpFoundation\Response $response
   *   A Response object with JSON:API response.
   *
   * @return \Symfony\Component\HttpFoundation\Response
   *   Returns the Response object.
   */
  public function parse(Response $response): Response;

}
